function results = eval_graph_geodesics(A)

results = [];

n = size(A,1);
results.n = n;

tic
[d,h] = fast_graph_geodesics(A);
dt=toc;
results.fast.diameter = max(d);
[hi,~,hc] = find(h);
results.fast.phist = [hi-1,hc];
results.fast.time = dt;
results.fast.geodesics = d;

tic
[d,h] = fast_graph_geodesics(A,'nrep',ceil(sqrt(n)));
dt=toc;
results.fastextra.diamter = max(d);
[hi,~,hc] = find(h);
results.fastextra.phist = [hi-1,hc];
results.fastextra.time = dt;
results.fastextra.geodesics = d;

tic
[l,c,d,deff] = path_histogram(A);
dt=toc;
results.exact.diameter = max(l);
results.exact.phist = [l,c];
results.exact.time = dt;
results.exact.geodesics = d;
results.exact.eff_geodesics = deff;

tic
[l,c,d,deff] = path_histogram(A,struct('sample',64));
dt=toc;
results.samplesmall.diameter = max(l);
results.samplesmall.phist = [l,c];
results.samplesmall.time = dt;
results.samplesmall.geodesics = d;
results.samplesmall.eff_geodesics = deff;

tic
[l,c,d,deff] = path_histogram(A,struct('sample',ceil(sqrt(n))));
dt=toc;
results.sample.diameter = max(l);
results.sample.phist = [l,c];
results.sample.time = dt;
results.sample.geodesics = d;
results.sample.eff_geodesics = deff;

tic
[l,c,d,deff] = path_histogram(A,struct('sample',ceil(sqrt(n)*log(n))));
dt=toc;
results.samplemore.diameter = max(l);
results.samplemore.phist = [l,c];
results.samplemore.time = dt;
results.samplemore.geodesics = d;
results.samplemore.eff_geodesics = deff;

if max(components(A))>1
    Acc = largest_component(A);
    results.connected = 0;
    results.cc = eval_graph_geodesics(Acc);
else
    results.connected = 1;
end

