function plot_geodesics(results)

clf;

n = results.n;

subplot(1,2,1);
cla; hold on;


text={};

g = results.exact.geodesics;
dhist = accumarray(g+1,1,[n 1],@sum,0,true);
l = find(dhist)-1;
c = nonzeros(dhist);
plot(l,c/sum(c),'b-');
text{end+1} = sprintf('Max Geodesics');

g = results.exact.eff_geodesics;
dhist = accumarray(g+1,1,[n 1],@sum,0,true);
l = find(dhist)-1;
c = nonzeros(dhist);
plot(l,c/sum(c),'r-');
text{end+1} = sprintf('90%% Geodesics');

l = results.exact.phist(:,1);
c = results.exact.phist(:,2);
plot(l,c/sum(c),'k-');
text{end+1} = sprintf('Paths');

ylabel('pdf');
xlabel('Distance');
lh = legend(text{:});
legend boxoff;
set(lh,'FontSize',11);
set(gca,'Color','none');

hold off;

subplot(1,2,2);
cla; hold on;

g = results.exact.geodesics;
dhist = accumarray(g+1,1,[n 1],@sum,0,true);
l = find(dhist)-1;
c = nonzeros(dhist);
plot(l,cumsum(c/sum(c)),'b-');

g = results.exact.eff_geodesics;
dhist = accumarray(g+1,1,[n 1],@sum,0,true);
l = find(dhist)-1;
c = nonzeros(dhist);
plot(l,cumsum(c/sum(c)),'r-');

l = results.exact.phist(:,1);
c = results.exact.phist(:,2);
plot(l,cumsum(c/sum(c)),'k-');
%text{end+1} = sprintf('exact (%6.1f s)\n', results.exact.time);

ylabel('cdf');
xlabel('Distance');
ylim([0,1.1]);
set(gca,'Color','none');

hold off;

set(gcf,'Color','none');
