function plot_geodesics_evaluation(results)

cla;
min_l = results.n;
max_l = 0;

hold on;
text = {};
l = results.fast.phist(:,1);
c = results.fast.phist(:,2);
min_l = min(min_l,min(l));
max_l = max(max_l,max(l));
plot(l,c,'r');
text{end+1} = sprintf('fast (%6.1f s)\n', results.fast.time);

l = results.exact.phist(:,1);
c = results.exact.phist(:,2);
min_l = min(min_l,min(l));
max_l = max(max_l,max(l));
plot(l,c);
text{end+1} = sprintf('exact (%6.1f s)\n', results.exact.time);

l = results.samplesmall.phist(:,1);
c = results.samplesmall.phist(:,2);
min_l = min(min_l,min(l));
max_l = max(max_l,max(l));
h=plot(l,c,'k'); set(h,'Color',[0.5,0.5,0.5]);
text{end+1} = sprintf('64-node sampling (%6.1f s)\n', results.samplesmall.time);


l = results.sample.phist(:,1);
c = results.sample.phist(:,2);
min_l = min(min_l,min(l));
max_l = max(max_l,max(l));
h=plot(l,c,'k'); set(h,'Color',[0.35,0.35,0.35]);
text{end+1} = sprintf('sqrt(n) sampling (%6.1f s)\n', results.sample.time);

l = results.samplemore.phist(:,1);
c = results.samplemore.phist(:,2);
min_l = min(min_l,min(l));
max_l = max(max_l,max(l));
h=plot(l,c,'k'); set(h,'Color',[0.25,0.25,0.25]);
text{end+1} = sprintf('More sampling (%6.1f s)\n', results.samplemore.time);

xlim([min_l,max_l]);
lh=legend(text{:});
set(lh,'FontSize',11);
legend boxoff;
hold off;

xlabel('Distance');
ylabel('Shortest path count');

%set(gca,'LooseInset',[0 0 0 0]);

